--- cgi/status.c.orig	2008-07-29 21:11:44.000000000 +0200
+++ cgi/status.c	2008-07-30 21:43:13.000000000 +0200
@@ -58,6 +58,9 @@
 
 extern int enable_splunk_integration;
 
+extern int show_orphan_hosts_hostgroup;
+extern int show_orphan_services_servicegroup;
+
 extern host *host_list;
 extern service *service_list;
 extern hostgroup *hostgroup_list;
@@ -2254,6 +2257,10 @@
 			if(is_authorized_for_servicegroup(temp_servicegroup,&current_authdata)==FALSE)
 				continue;
 
+			/* maybe skip the orphans group */
+			if(!show_orphan_services_servicegroup && strcmp(temp_servicegroup->group_name,"orphans")==0)
+				continue;
+
 			if(current_column==1)
 				printf("<TR>\n");
 			printf("<TD VALIGN=top ALIGN=center>\n");
@@ -2456,6 +2463,10 @@
 			if(is_authorized_for_servicegroup(temp_servicegroup,&current_authdata)==FALSE)
 				continue;
 
+			/* maybe skip the orphans group */
+			if(!show_orphan_services_servicegroup && strcmp(temp_servicegroup->group_name,"orphans")==0)
+				continue;
+
 			if(odd==0)
 				odd=1;
 			else
@@ -3014,6 +3025,10 @@
 			if(is_authorized_for_servicegroup(temp_servicegroup,&current_authdata)==FALSE)
 				continue;
 
+			/* maybe skip the orphans group */
+			if(!show_orphan_services_servicegroup && strcmp(temp_servicegroup->group_name,"orphans")==0)
+				continue;
+
 			if(odd==0)
 				odd=1;
 			else
@@ -3305,6 +3320,10 @@
 			if(is_authorized_for_hostgroup(temp_hostgroup,&current_authdata)==FALSE)
 				continue;
 
+			/* maybe skip the orphans group */
+			if(!show_orphan_hosts_hostgroup && strcmp(temp_hostgroup->group_name,"orphans")==0)
+				continue;
+
 			if(current_column==1)
 				printf("<TR>\n");
 			printf("<TD VALIGN=top ALIGN=center>\n");
@@ -3687,6 +3706,10 @@
 			if(is_authorized_for_hostgroup(temp_hostgroup,&current_authdata)==FALSE)
 				continue;
 
+			/* maybe skip the orphans group */
+			if(!show_orphan_hosts_hostgroup && strcmp(temp_hostgroup->group_name,"orphans")==0)
+				continue;
+
 			if(odd==0)
 				odd=1;
 			else
@@ -4241,6 +4264,10 @@
 			if(is_authorized_for_hostgroup(temp_hostgroup,&current_authdata)==FALSE)
 				continue;
 
+			/* maybe skip the orphans group */
+			if(!show_orphan_hosts_hostgroup && strcmp(temp_hostgroup->group_name,"orphans")==0)
+				continue;
+
 			if(odd==0)
 				odd=1;
 			else
@@ -5199,3 +5226,4 @@
         }
 
 
+
